aboutsummaryrefslogtreecommitdiffstats
path: root/.github/scripts/prescan-go-coverage-ubuntu.sh
diff options
context:
space:
mode:
Diffstat (limited to '.github/scripts/prescan-go-coverage-ubuntu.sh')
-rw-r--r--.github/scripts/prescan-go-coverage-ubuntu.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/.github/scripts/prescan-go-coverage-ubuntu.sh b/.github/scripts/prescan-go-coverage-ubuntu.sh
new file mode 100644
index 0000000..f7e9d55
--- /dev/null
+++ b/.github/scripts/prescan-go-coverage-ubuntu.sh
@@ -0,0 +1,12 @@
+# SPDX-License-Identifier: Apache-2.0
+# SPDX-FileCopyrightText: 2025 The Linux Foundation
+
+#!/bin/bash
+echo "--> prescan-go-coverage-ubuntu.sh"
+
+set -ex
+
+# Test and coverage
+go test -p 1 ./... -coverprofile=coverage.out
+
+echo "--> prescan-go-coverage-ubuntu.sh ends"